summaryrefslogtreecommitdiff
path: root/qa/176
diff options
context:
space:
mode:
Diffstat (limited to 'qa/176')
-rwxr-xr-xqa/17654
1 files changed, 54 insertions, 0 deletions
diff --git a/qa/176 b/qa/176
new file mode 100755
index 0000000..04597a7
--- /dev/null
+++ b/qa/176
@@ -0,0 +1,54 @@
+#! /bin/sh
+# PCP QA Test No. 176
+# Unwelcome __pmPinPDUBuf for 0x77d not in pool!
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+rm -f $seq.out
+if [ $PCP_VER -lt 3600 ]
+then
+ # V1 archives supported
+ arch=src/ace
+ ln $seq.out.1 $seq.out
+else
+ # no support for V1 archives
+ arch=src/ace_v2
+ ln $seq.out.2 $seq.out
+fi
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+# deal with an annoying libc error ... using TZ=:Australia/Melbourne
+# causes the -z option to report the wrong time, at least for some
+# times of the year
+#
+TZ=EST-10
+export TZ
+
+# real QA test starts here
+cat >$tmp.pmns <<'End-of-File'
+root {
+ sybase
+}
+
+sybase {
+ SYBASE
+}
+
+sybase.SYBASE {
+ disk_read 40:0:7
+}
+End-of-File
+
+pmval -z -n $tmp.pmns -a $arch sybase.SYBASE.disk_read 2>$tmp.err
+cat $tmp.err
+
+exit 0